Installing ImunifyAV Free

Operating System & Version
CENTOS 7.8 kvm
cPanel & WHM Version
v88.0.2

Nirjonadda

Well-Known Member
May 8, 2013
736
27
78
cPanel Access Level
Root Administrator
We can not Installing ImunifyAV Free version.

Code:
You have a license for “ImunifyAV”, but the “ImunifyAV” installation failed. For more details, review the following error log: /var/cpanel/imunifyav-install.log
 
The following error was returned: The log file contained the following information: oracle-instantclient12.1-basic x86_64 12.1.0.2.0-1 imunify360 60 M Transaction Summary ================================================================================ Install 1 Package (+56 Dependent packages) Total size: 99 M Installed size: 336 M Downloading packages: Running transaction check Running transaction test Transaction check error: file /usr/lib64/libnghttp2.so.14 from install of libnghttp2-1.31.1-2.el7.x86_64 conflicts with file from package libnghttp2_14_17_1-1.35.1-3.el7.x86_64 Error Summary ------------- Package imunify-antivirus was not installed.
 

Attachments

Nirjonadda

Well-Known Member
May 8, 2013
736
27
78
cPanel Access Level
Root Administrator
ImunifyAV is a cloudlinux software, but it cloudlinux is not required has cpanel support. Since version 84, cpanel supports ImunifyAV.

Installing with these commands makes no difference.

Still have same error.

Code:
Install  1 Package (+56 Dependent packages)

Total download size: 99 M
Installed size: 336 M
Downloading packages:
--------------------------------------------------------------------------------
Total                                              6.5 MB/s |  99 MB  00:15
Running transaction check
Running transaction test

Transaction check error: file /usr/lib64/libnghttp2.so.14 from install of libnghttp2-1.31.1-2.el7.x86_64

4 conflicts with file from package libnghttp2_14_17_1-1.35.1-3.el7.x86_64

Error Summary
-------------

Package imunify-antivirus was not installed.
[[email protected] ~]#
 

Nirjonadda

Well-Known Member
May 8, 2013
736
27
78
cPanel Access Level
Root Administrator
I see this is conflicts with EPEL and OKay Repositories. OKay offers an alternate repository to complement missing packages from CENTOS and EPEL. So How can Excluded libnghttp package from imunify360 or OKay Repo?


Code:
[[email protected] ~]# yum list installed | grep @okay
autoconf.noarch                                2.69-12.el7.centos      @okay
automake.x86_64                                1.14-1.el7              @okay
libnghttp2_14_17_1.x86_64                      1.35.1-3.el7            @okay
nodejs.x86_64                                  1:10.13.0-2.el7         @okay
npm.x86_64                                     1:6.4.1-1.10.13.0.2.el7 @okay
popt.x86_64                                    1.16-14.el7             @okay
[[email protected] ~]#
 
Last edited:

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,296
1,261
313
Houston
This is clearly a package conflict - 3rd party repositories are not supported primarily for this reason. You need to install the packages from the supported repository and remove the ones installed from the 3rd party repositories epel and okay.
 
  • Like
Reactions: Nirjonadda